Ops: 
  # - !ClonePen
  #   From: 0
  #   To: 255
  #   Inclusive: True

  # - !PatchPen
  #   Pen: 0
  #   Power: 10.0

  # - !PatternPen
  #   From: 0
  #   To: 40
  #   Field: !Power 2

  # - !DeleteObjects
  #   Layer: 0

  # - !HatchArray
  #   Layer: 0
  #   Width: 3.0
  #   Height: 2.0
  #   Columns: 8
  #   Rows: 5
  #   Spacing: 0.5
  #   Z: 0.0
  #   StartingPen: 0
  #   Hatch:
  #     LineSpacing: 0.1

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 0 }
  #   Export: 'export.bin'

  - !Object
    Input: !Rectangle { Width: 2, Height: 3 }
    Z: 1.0
    Origin: { X: 10.0, Y: 10.0 }
    Pen: 1
    Array:
      Columns: 3
      Rows: 4
      Spacing: 6.0
      RandomizeOrder: False
      StartingPen: 0
      PatternX: !Speed 1.0
      PatternY: !Power -1.0
    Hatch:
      LineSpacing: 0.01
    ReplaceObject: 0

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 0 }
  #   Z: 1.0
  #   Origin: { X: 10.0, Y: 10.0 }
  #   Pen: 1
  #   Array:
  #     Columns: 3
  #     Rows: 2
  #     Spacing: 10.0
  #     RandomizeOrder: False
  #     StartingPen: 0
  #   # Hatch:
  #   #   LineSpacing: 0.01
  #   ReplaceObject: 0

  # - !Object
  #   Input: !Rectangle { Width: 10, Height: 5}
  #   Z: 0.0
  #   Origin: { X: 10.0, Y: 10.0 }
  #   Pen: 0
  #   ReplaceObject: 0

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 0 }
  #   Origin: { X: 10.0, Y: 10.0 }
  #   ReplaceObject: 0

  # - !Object
  #   Input: !Existing { Layer: 0, Object: 1 }
  #   Origin: { X: 10.0, Y: 10.0 }
  #   ReplaceObject: 1

  # - !Object
  #   Input: !Circle { Radius: 3.0 }

  # - !Object
  #   Input: !Import { Path: 'export.bin' }
